<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_marginStart="@dimen/platform_dp_15"
    android:layout_marginEnd="@dimen/platform_dp_15"
    android:background="@color/transparent"
    android:gravity="center_horizontal"
    android:orientation="horizontal">
    <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/layoutCall"
            android:layout_width="150dp"
            android:layout_height="42dp"
            android:layout_marginBottom="32dp"
            android:background="@drawable/confide_line_bg_1"
            android:visibility="gone"
            tools:visibility="visible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@id/layoutChange"
        >

        <ImageView
                android:id="@+id/ivCall"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_marginRight="4dp"
                android:src="@drawable/ic_confide_call"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toLeftOf="@+id/tvCall"
                app:layout_constraintTop_toTopOf="parent"  />

            <TextView
                android:id="@+id/tvCall"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text="继续倾诉"
                android:textColor="@color/white"
                android:textSize="17sp"
                app:layout_constraintBottom_toTopOf="@+id/tvTime"
                app:layout_constraintLeft_toRightOf="@+id/ivCall"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent"/>
            <TextView
                android:id="@+id/tvTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text=""
                android:textColor="@color/white"
                android:textSize="10sp"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="@+id/tvCall"
                app:layout_constraintRight_toRightOf="@+id/tvCall"
                app:layout_constraintTop_toBottomOf="@+id/tvCall"
                tools:text="剩余1分40秒" />
        </androidx.constraintlayout.widget.ConstraintLayout>
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_confide_free"
            android:paddingLeft="5dp"
            android:paddingTop="2dp"
            android:paddingRight="5dp"
            android:paddingBottom="2dp"
            android:text="首单免费"
            android:textColor="@color/white"
            android:textSize="11sp"
            android:id="@+id/first_order"
            android:visibility="gone"
            app:layout_constraintCircle="@+id/layoutCall"
            app:layout_constraintCircleAngle="70"
            app:layout_constraintCircleRadius="70dp" />


    <LinearLayout
        android:id="@+id/layoutChange"
        android:layout_width="150dp"
        android:layout_height="42dp"
        android:layout_marginStart="@dimen/platform_dp_23"
        android:layout_marginBottom="32dp"
        android:visibility="gone"
        tools:visibility="visible"
        android:background="@drawable/confide_line_bg_change"
        app:layout_constraintTop_toTopOf="@id/layoutCall"
        app:layout_constraintLeft_toRightOf="@id/layoutCall"
        app:layout_constraintRight_toRightOf="parent"
        android:gravity="center"
        android:paddingLeft="28dp"
        android:paddingRight="28dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="再换一位"
            android:id="@+id/layout_change_text"
            android:textColor="@color/white"
            android:textSize="17sp"
            />
        <ProgressBar
            android:layout_width="@dimen/platform_dp_20"
            android:layout_height="@dimen/platform_dp_20"
            android:id="@+id/confide_progress"
            android:visibility="gone"
            android:indeterminateDrawable="@drawable/confide_progress"
            >
        </ProgressBar>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>